import { openBlock, createElementBlock, renderSlot, createTextVNode, createElementVNode, normalizeClass, createCommentVNode, createStaticVNode } from "vue";
var VueSwirl_vue_vue_type_style_index_0_lang = "";
var _export_sfc = (sfc, props) => {
  const target = sfc.__vccOpts || sfc;
  for (const [key, val] of props) {
    target[key] = val;
  }
  return target;
};
const _sfc_main = {
  name: "VueSwirl",
  props: {
    type: {
      required: false,
      type: String,
      default: "circle"
    },
    loadClass: {
      required: false,
      type: String,
      default: "h-[130px]"
    },
    color: {
      required: false,
      type: String,
      default: "#191919"
    }
  },
  data() {
    return {
      loading: false
    };
  },
  created() {
    let time = Math.floor(Math.random() * (1100 - 700 + 1)) + 700;
    setTimeout(() => {
      this.loading = true;
    }, time);
  }
};
const _hoisted_1 = { class: "bg" };
const _hoisted_2 = {
  key: 0,
  class: "flex justify-center items-center"
};
const _hoisted_3 = ["fill"];
const _hoisted_4 = /* @__PURE__ */ createStaticVNode('<rect class="spinner_zWVm" x="1" y="1" width="7.33" height="7.33"></rect><rect class="spinner_gfyD" x="8.33" y="1" width="7.33" height="7.33"></rect><rect class="spinner_T5JJ" x="1" y="8.33" width="7.33" height="7.33"></rect><rect class="spinner_E3Wz" x="15.66" y="1" width="7.33" height="7.33"></rect><rect class="spinner_g2vs" x="8.33" y="8.33" width="7.33" height="7.33"></rect><rect class="spinner_ctYB" x="1" y="15.66" width="7.33" height="7.33"></rect><rect class="spinner_BDNj" x="15.66" y="8.33" width="7.33" height="7.33"></rect><rect class="spinner_rCw3" x="8.33" y="15.66" width="7.33" height="7.33"></rect><rect class="spinner_Rszm" x="15.66" y="15.66" width="7.33" height="7.33"></rect>', 9);
const _hoisted_13 = [
  _hoisted_4
];
const _hoisted_14 = {
  key: 1,
  class: "flex justify-center items-center"
};
const _hoisted_15 = ["fill"];
const _hoisted_16 = /* @__PURE__ */ createElementVNode("path", {
  class: "spinner_0XTQ",
  d: "M12,23a9.63,9.63,0,0,1-8-9.5,9.51,9.51,0,0,1,6.79-9.1A1.66,1.66,0,0,0,12,2.81h0a1.67,1.67,0,0,0-1.94-1.64A11,11,0,0,0,12,23Z"
}, null, -1);
const _hoisted_17 = [
  _hoisted_16
];
const _hoisted_18 = {
  key: 2,
  class: "flex justify-center items-center"
};
const _hoisted_19 = ["fill"];
const _hoisted_20 = /* @__PURE__ */ createElementVNode("rect", {
  class: "spinner_GmWz",
  x: "1",
  y: "4",
  width: "6",
  fill: "#fff",
  height: "14"
}, null, -1);
const _hoisted_21 = /* @__PURE__ */ createElementVNode("rect", {
  class: "spinner_GmWz spinner_NuDr",
  x: "9",
  y: "4",
  width: "6",
  height: "14"
}, null, -1);
const _hoisted_22 = /* @__PURE__ */ createElementVNode("rect", {
  class: "spinner_GmWz spinner_OlQ0",
  x: "17",
  y: "4",
  width: "6",
  height: "14"
}, null, -1);
const _hoisted_23 = [
  _hoisted_20,
  _hoisted_21,
  _hoisted_22
];
const _hoisted_24 = {
  key: 3,
  class: "flex justify-center items-center py-40 h-full"
};
const _hoisted_25 = ["fill"];
const _hoisted_26 = /* @__PURE__ */ createElementVNode("circle", {
  class: "spinner_nOfF",
  cx: "4",
  cy: "12",
  r: "3"
}, null, -1);
const _hoisted_27 = /* @__PURE__ */ createElementVNode("circle", {
  class: "spinner_nOfF spinner_fVhf",
  cx: "4",
  cy: "12",
  r: "3"
}, null, -1);
const _hoisted_28 = /* @__PURE__ */ createElementVNode("circle", {
  class: "spinner_nOfF spinner_piVe",
  cx: "4",
  cy: "12",
  r: "3"
}, null, -1);
const _hoisted_29 = /* @__PURE__ */ createElementVNode("circle", {
  class: "spinner_nOfF spinner_MSNs",
  cx: "4",
  cy: "12",
  r: "3"
}, null, -1);
const _hoisted_30 = [
  _hoisted_26,
  _hoisted_27,
  _hoisted_28,
  _hoisted_29
];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("div", _hoisted_1, [
    $data.loading ? renderSlot(_ctx.$slots, "default", { key: 0 }) : renderSlot(_ctx.$slots, "load", { key: 1 }, () => [
      createTextVNode("+ "),
      createElementVNode("div", {
        class: normalizeClass(["flex justify-center items-center overflow-hidden my-auto notChosenImg", $props.loadClass])
      }, [
        $props.type === "block" ? (openBlock(), createElementBlock("div", _hoisted_2, [
          (openBlock(), createElementBlock("svg", {
            width: "36",
            height: "36",
            fill: $props.color,
            viewBox: "0 0 24 24",
            xmlns: "http://www.w3.org/2000/svg"
          }, _hoisted_13, 8, _hoisted_3))
        ])) : $props.type === "circle" ? (openBlock(), createElementBlock("div", _hoisted_14, [
          (openBlock(), createElementBlock("svg", {
            width: "36",
            height: "36",
            fill: $props.color,
            viewBox: "0 0 24 24",
            xmlns: "http://www.w3.org/2000/svg"
          }, _hoisted_17, 8, _hoisted_15))
        ])) : $props.type === "bars" ? (openBlock(), createElementBlock("div", _hoisted_18, [
          (openBlock(), createElementBlock("svg", {
            width: "24",
            height: "24",
            fill: $props.color,
            viewBox: "0 0 24 24",
            xmlns: "http://www.w3.org/2000/svg"
          }, _hoisted_23, 8, _hoisted_19))
        ])) : $props.type === "dots" ? (openBlock(), createElementBlock("div", _hoisted_24, [
          (openBlock(), createElementBlock("svg", {
            width: "48",
            height: "48",
            fill: $props.color,
            viewBox: "0 0 24 24",
            xmlns: "http://www.w3.org/2000/svg"
          }, _hoisted_30, 8, _hoisted_25))
        ])) : createCommentVNode("", true)
      ], 2)
    ])
  ]);
}
var VueSwirl = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);
var index = {
  install: (app, options) => {
    app.component("VueSwirl", VueSwirl);
  }
};
export { index as default };
